#
# spec file for package python-autopep8
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-autopep8
Version:        1.1.1
Release:        4.1
Url:            https://github.com/hhatto/autopep8
Summary:        Automatic generated to pep8 checked code
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/autopep8/autopep8-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-pep8
Requires:       python-pep8
Requires(post): update-alternatives
Requires(postun): update-alternatives
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Autopep8 is automatic generated to pep8 checked code.
This is old style tool, wrapped pep8 via subprocess module.

%prep
%setup -q -n autopep8-%{version}
sed -i '1d' autopep8.py # Remove she-bang line
sed -i "s/autopep8 =/autopep8-%{py_ver} =/" setup.py  # Add py_ver suffix to binary

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
ln -s %{_bindir}/autopep8-%{py_ver} %{buildroot}%{_bindir}/autopep8

%check
# need to set locale to avoid UnicodeEncodeError
export LANG="en_US.UTF-8"
python setup.py test -q

%pre
# Since /usr/bin/autopep8 became ghosted to be used with update-alternatives, we have to get rid
# of the old binary resulting from the non-update-alternativies-ified package:
[ -h %{_bindir}/autopep8 ] || rm -f %{_bindir}/autopep8

%post
update-alternatives --install %{_bindir}/autopep8 autopep8 %{_bindir}/autopep8-%{py_ver} 20

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove autopep8 %{_bindir}/autopep8-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst
%ghost %{_bindir}/autopep8
%if 0%{?suse_version} >= 1230
%ghost %{_sysconfdir}/alternatives/autopep8
%endif
%{_bindir}/autopep8-%{py_ver}
%{python_sitelib}/autopep8.py*
%{python_sitelib}/autopep8-%{version}-py%{py_ver}.egg-info

%changelog
* Tue Apr 21 2015 benoit.monin@gmx.fr
- update to 1.1.1: no upstream changelog
- add -q to test to avoid spamming the build log
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashism in pre script
* Thu Jul 10 2014 toddrme2178@gmail.com
- Update to 1.0.3
  + Upstream provides no changelog
* Fri May  9 2014 toddrme2178@gmail.com
- Update to 1.0.2:
  + Upstream provides no changelog
- Update to 1.0.1
- Update to 1.0.0
- Update to 0.9.7
- Update to 0.9.6
- Fix UnicodeDecodeError in unittests
* Fri Nov 15 2013 speilicke@suse.com
- Only ghost /etc/alternatives on 12.3 or newer
* Tue Nov  5 2013 speilicke@suse.com
- Update to version 0.9.5:
  + Upstream provides no changelog
- Run testsuite
- Implement update-alternatives
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Aug 21 2012 highwaystar.ru@gmail.com
- updated to version 0.7.3
- python3 package added
- spec improved
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 0.1.3
* Fri Jul  8 2011 saschpe@suse.de
- Initial version
